@echo off
set INIPFAD=%windir%
for /F "tokens=1-3" %%a in ('reg query "hklm\software\New Voice\Mobicall\Settings" /v IniFilePath') do if "%%a" EQU "IniFilePath" set INIPFAD=%%c
if %INIPFAD% == %windir% for /F "tokens=1-3" %%a in ('reg query "hklm\software\Wow6432Node\New Voice\Mobicall\Settings" /v IniFilePath') do if "%%a" EQU "IniFilePath" set INIPFAD=%%c

:_show_ini
set INPUT=%1
if /I "%INPUT:~-4%" neq ".ini" set INPUT=%INPUT%.ini
start notepad %INIPFAD%.\%INPUT%
set INPUT=
